import { BucketedUserConfig, DVCLogger } from '@devcycle/types';
import AsyncStorage from '@react-native-async-storage/async-storage';
import { DVCPopulatedUser } from './User';
export declare const StoreKey: {
    Config: string;
    User: string;
    AnonUserId: string;
};
export declare abstract class CacheStore {
    store?: Storage | typeof AsyncStorage;
    logger?: DVCLogger;
    constructor(localStorage?: Storage | typeof AsyncStorage, logger?: DVCLogger);
    save(storeKey: string, data: unknown): void;
    load(storeKey: string): string | null | undefined | any;
    remove(storeKey: string): void;
    saveConfig(data: BucketedUserConfig): void;
    loadConfig(): string | null | undefined;
    saveUser(user: DVCPopulatedUser): void;
    loadUser(): string | null | undefined;
}
export default CacheStore;
